Package Details: aha-git 0.4.6.1-4

Git Clone URL: https://aur.archlinux.org/aha-git.git (read-only)
Package Base: aha-git
Description: Ansi HTML Adapter: convert ANSI escape sequences to HTML.
Upstream URL: http://ziz.delphigl.com/tool_aha.php
Licenses: MPL, LGPL
Conflicts: aha
Provides: aha
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 9
Popularity: 0.201262
First Submitted: 2012-07-29 03:07
Last Updated: 2016-01-14 01:27

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

farseerfc commented on 2016-01-13 17:28

==> ERROR: pkgver is not allowed to contain colons, hyphens or whitespace.
==> ERROR: pkgver() generated an invalid version: 0.4.8-9-g0b0a376
We should git describe --tags| sed "s/-/./g"

lks commented on 2015-08-02 13:14

Same as in aha package: Please change "LPGL" to "LGPL".
lks

Xyne commented on 2015-04-29 22:30

@richq
You can recreate the "aha" package and use the stable tagged releases to build it. VCS packages (e.g. "foo-git") should always build from the master branch so this package will continue to do that. Both may exist in the AUR.

richq commented on 2015-04-14 06:27

There's a 0.4.8 now. Would it make more sense to use the github automatic tarballs rather than git-cloning and building master? I know you swapped from aha to aha-git, but since the project seems to use tags correctly I think building from git in this case is kinda the wrong thing to do.

gabrielrcp commented on 2014-01-09 17:36

You should include git as a makedepends of this package.

KaiSforza commented on 2013-04-16 21:00

Please use
'git describe --tags'
in your package version. This repository does have tags.

Xyne commented on 2012-07-30 06:48

It seems that upstream development only releases Git now. I am therefore merging this package into aha-git.

Thanks for contributing, oniram.

Anonymous comment on 2012-07-29 16:08

Thx for the feedback. I'll use your aha-git package from now on.
Do you know how to delete this package entry?

Xyne commented on 2012-07-29 03:12

Here is a cleaner version of the current PKGBUILD:
http://pastebin.com/KhZNgVkW

You should omit empty values and quote variables in the build and package functions.
The name of the package should not be an array either.

I was unable to find a source archive of the latest version, so I have created a git package:
https://aur.archlinux.org/packages.php?ID=61296

Anonymous comment on 2012-02-15 21:34

Updated to version 0.4.4

All comments